package com.sipai.jspatrol.Bean;

import com.sipai.jspatrol.Patrol.patrolInfoAdapter.PatrolEqu;

import org.litepal.LitePal;
import org.litepal.crud.LitePalSupport;

import java.io.Serializable;
import java.util.List;

/**
 * Created by lvliming on 2019/2/20.
 */

public class ProPatrolPoint extends LitePalSupport implements Serializable {
    private String patrolRecordPatrolRouteId;
    private String active;
    private String bizId;
    private String sid;
    private String resultId;
    private String insdt;
    private String insuser;
    private String latitude;
    private String longitude;
    private String modbusFig;
    private String modbusFigId;
    private String morder;
    private String name;
    private String patrolContent;
    private ProcessSection processSection;
    private String processSectionId;
    private String processSectionName;
    private String readOrWrite;
    private String register;
    private String remark;
    private String sql;
    private String type;
    private String unit;
    private String where;
    private String status;
    private String taskId;
    private String taskType;
    private String pointType;
    private String workerId;
    private String workerName;
    private String finishDt;
    private String patrolPointId;
    private String patrolRecordId;
    private List<PatrolPointContent> patrolContentsRecords;
    private List<InputPoint> patrolMeasurePointRecords;
    private List<PatrolEqu> patrolRecordPatrolEquipments;
    private Patrol patrol;

    public String getPatrolRecordPatrolRouteId() {
        return patrolRecordPatrolRouteId;
    }

    public void setPatrolRecordPatrolRouteId(String patrolRecordPatrolRouteId) {
        this.patrolRecordPatrolRouteId = patrolRecordPatrolRouteId;
    }

    public String getPatrolPointId() {
        return patrolPointId;
    }

    public void setPatrolPointId(String patrolPointId) {
        this.patrolPointId = patrolPointId;
    }

    public String getPatrolRecordId() {
        return patrolRecordId;
    }

    public void setPatrolRecordId(String patrolRecordId) {
        this.patrolRecordId = patrolRecordId;
    }

    public String getResultId() {
        return resultId;
    }

    public void setResultId(String resultId) {
        this.resultId = resultId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getInsdt() {
        return insdt;
    }

    public void setInsdt(String insdt) {
        this.insdt = insdt;
    }

    public String getInsuser() {
        return insuser;
    }

    public void setInsuser(String insuser) {
        this.insuser = insuser;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getModbusFig() {
        return modbusFig;
    }

    public void setModbusFig(String modbusFig) {
        this.modbusFig = modbusFig;
    }

    public String getModbusFigId() {
        return modbusFigId;
    }

    public void setModbusFigId(String modbusFigId) {
        this.modbusFigId = modbusFigId;
    }

    public String getMorder() {
        return morder;
    }

    public void setMorder(String morder) {
        this.morder = morder;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPatrolContent() {
        return patrolContent;
    }

    public void setPatrolContent(String patrolContent) {
        this.patrolContent = patrolContent;
    }

    public ProcessSection getProcessSection() {
        return processSection;
    }

    public void setProcessSection(ProcessSection processSection) {
        this.processSection = processSection;
    }

    public String getProcessSectionId() {
        return processSectionId;
    }

    public void setProcessSectionId(String processSectionId) {
        this.processSectionId = processSectionId;
    }

    public String getReadOrWrite() {
        return readOrWrite;
    }

    public void setReadOrWrite(String readOrWrite) {
        this.readOrWrite = readOrWrite;
    }

    public String getRegister() {
        return register;
    }

    public void setRegister(String register) {
        this.register = register;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getWhere() {
        return where;
    }

    public void setWhere(String where) {
        this.where = where;
    }

    public String getProcessSectionName() {
        return processSectionName;
    }

    public void setProcessSectionName(String processSectionName) {
        this.processSectionName = processSectionName;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getPointType() {
        return pointType;
    }

    public void setPointType(String pointType) {
        this.pointType = pointType;
    }

    public String getWorkerId() {
        return workerId;
    }

    public void setWorkerId(String workerId) {
        this.workerId = workerId;
    }

    public String getFinishDt() {
        return finishDt;
    }

    public void setFinishDt(String finishDt) {
        this.finishDt = finishDt;
    }

    public List<PatrolPointContent> getPatrolContentsRecords() {
        return LitePal.where("patrolPointId = ? and patrolRecordId = ? and equipmentId = ?",sid,taskId,"").find(PatrolPointContent.class);
    }

    public void setPatrolContentsRecords(List<PatrolPointContent> patrolContentsRecords) {
        this.patrolContentsRecords = patrolContentsRecords;
    }

    public List<InputPoint> getPatrolMeasurePointRecords() {
        return LitePal.where("patrolPointId = ? and patrolRecordId = ? and equipmentId = ?",sid,taskId,"").find(InputPoint.class);
    }

    public void setPatrolMeasurePointRecords(List<InputPoint> patrolMeasurePointRecords) {
        this.patrolMeasurePointRecords = patrolMeasurePointRecords;
    }

    public List<PatrolEqu> getPatrolRecordPatrolEquipments() {
        return LitePal.where("patrolPointId = ? and patrolRecordId = ?",sid,taskId).find(PatrolEqu.class);
    }

    public void setPatrolRecordPatrolEquipments(List<PatrolEqu> patrolRecordPatrolEquipments) {
        this.patrolRecordPatrolEquipments = patrolRecordPatrolEquipments;
    }

    public Patrol getPatrol() {
        return patrol;
    }

    public void setPatrol(Patrol patrol) {
        this.patrol = patrol;
    }

    public String getWorkerName() {
        return workerName;
    }

    public void setWorkerName(String workerName) {
        this.workerName = workerName;
    }
}
